Bug 1127018 - Latest Icehouse version of Heat no longer works with latest version of qpid in Fedora20
Summary: Latest Icehouse version of Heat no longer works with latest version of qpid i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: Milestone1
: Icehouse
Assignee: Jeff Peeler
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 23:09 UTC by Charles Crouch
Modified: 2015-02-01 23:28 UTC (History)
5 users (show)

Fixed In Version: openstack-heat-2014.1.1-2.5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 20:37:52 UTC


Attachments (Terms of Use)

Description Charles Crouch 2014-08-05 23:09:21 UTC
If you install the latest version of Icehouse Heat i.e.
https://repos.fedorapeople.org/repos/openstack/openstack-icehouse/fedora-20/openstack-heat-engine-2014.1.1-2.2.fc21.noarch.rpm

and use it with the latest version of qpid which ships with F20 i.e.
https://admin.fedoraproject.org/updates/python-qpid-0.26-2.fc20

then you will see errors like this:
> [stack@localhost ~]$ heat stack-list
> ERROR: Timeout while waiting on RPC response - topic: "engine", RPC method: "list_stacks" info: "<unknown>"

This is because python-qpid-0.26-2 includes a fix for https://issues.apache.org/jira/browse/QPID-5557 which breaks unpatched versions of Heat.

IIUC This is the RDO tracking bug: https://bugzilla.redhat.com/show_bug.cgi?id=1108025

With respect to fixes in Heat, this is already fixed in:
juno-master: https://review.openstack.org/#/c/98894/
stable/icehouse: https://review.openstack.org/#/c/98895/
stable/havana: https://review.openstack.org/#/c/99345/

Unfortunately the merge to stable/icehouse came in *just* after the 2014.1.1 release was tagged:

https://git.openstack.org/cgit/openstack/heat/log/?h=stable/icehouse

The fix will obviously get picked up in 2014.1.2, but due to the severity of this issue, for anyone using qpid, it would be great to get new version of the RDO Heat 2014.1.1 rpms generated which includes a patch for https://review.openstack.org/#/c/98895/

Comment 1 Zane Bitter 2014-08-05 23:21:45 UTC
BTW the 2014.1.2 release is happening this week.

Comment 2 Charles Crouch 2014-08-06 12:30:04 UTC
Fair point Zane, its just that the 2014.1.1 tag was done on 3rd June and the RDO rpms landed 4th Aug, so I'd prefer to patch the 2014.1.1 rpms rather than wait for the 2014.1.2 rpms

(In reply to Zane Bitter from comment #1)
> BTW the 2014.1.2 release is happening this week.


Note You need to log in before you can comment on or make changes to this bug.